package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.*;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {
    private List<Student> studentList;

    public ZipCodeWilmington(List<Student> studentList) {
        this.studentList = studentList;
    }

    public ZipCodeWilmington(){
        this.studentList = new ArrayList<>();
    }

    public void enroll(Student student) {
        this.studentList.add(student);
    }

    public Boolean isEnrolled(Student student) {
        return this.studentList.contains(student);
    }

    public void lecture(double numberOfHours) {
        //double lectureTime = numberOfHours/studentList.size();
        for (Student each:studentList){
            each.learn(numberOfHours);
        }
    }

    public Map<Student, Double> getStudyMap() {
        Map<Student, Double> studyMap = new LinkedHashMap<>();
        for (Student each:studentList){
            studyMap.put(each, each.getTotalStudyTime());
        }
        return studyMap;
    }
}
